Bug 587617 - testsuite from net-snmp source package fails for tcp6/udp6
testsuite from net-snmp source package fails for tcp6/udp6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 07:56 EDT by Karel Srot
Modified: 2011-07-21 08:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 05:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2010-04-30 07:56:55 EDT
Description of problem:
Some subtests from net-snmp source package fails for tcp6/udp6.

Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-9.el5

How reproducible:
always

Steps to Reproduce:
1. run testsuite from source package
  
Actual results:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: udp6
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Starting net-snmp tests
:: [   PASS   ] :: Testing net-snmp
:: [   FAIL   ] :: testing SNMPv3 snmptrapd USM user management with snmpusm 
:: [   FAIL   ] :: testing SNMPv3 informs (noAuthNoPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 informs (authNoPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 informs (authPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 traps received and sent by tools 
:: [   FAIL   ] :: testing SNMPv2c traps received and sent by tools 
:: [   FAIL   ] :: testing SNMPv2c informs received and sent by tools 
:: [   PASS   ] :: testing snmptrapd authorization failure of non authorized users
:: [   PASS   ] :: testing snmptrapd discards of unauthorized notification types
:: [   PASS   ] :: testing snmptrapd discards of incorrect view types
:: [   FAIL   ] :: testing authentication failure traps are sent by snmpd 
:: [   FAIL   ] :: testing snmptrapd traphandle: launching external shell script 
:: [   FAIL   ] :: testing snmptrapd embedded perl support (NetSNMP::TrapReceiver) 
:: [   FAIL   ] :: testing AgentX subagent in Perl (using NetSNMP::agent) 
:: [   PASS   ] :: Processing test results
:: [   LOG    ] :: Duration: 14m 16s
:: [   LOG    ] :: Assertions: 5 good, 11 bad
:: [   FAIL   ] :: RESULT: udp6

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: tcp6
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Starting net-snmp tests
:: [   PASS   ] :: Testing net-snmp
:: [   FAIL   ] :: testing SNMPv3 snmptrapd USM user management with snmpusm 
:: [   FAIL   ] :: testing SNMPv3 informs (noAuthNoPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 informs (authNoPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 informs (authPriv) received and sent by tools 
:: [   FAIL   ] :: testing SNMPv3 traps received and sent by tools 
:: [   FAIL   ] :: testing SNMPv2c traps received and sent by tools 
:: [   FAIL   ] :: testing SNMPv2c informs received and sent by tools 
:: [   PASS   ] :: testing snmptrapd authorization failure of non authorized users
:: [   PASS   ] :: testing snmptrapd discards of unauthorized notification types
:: [   PASS   ] :: testing snmptrapd discards of incorrect view types
:: [   FAIL   ] :: testing authentication failure traps are sent by snmpd 
:: [   FAIL   ] :: testing snmptrapd traphandle: launching external shell script 
:: [   FAIL   ] :: testing snmptrapd embedded perl support (NetSNMP::TrapReceiver) 
:: [   FAIL   ] :: testing AgentX subagent in Perl (using NetSNMP::agent) 
:: [   PASS   ] :: Processing test results
:: [   LOG    ] :: Duration: 14m 15s
:: [   LOG    ] :: Assertions: 5 good, 11 bad
:: [   FAIL   ] :: RESULT: tcp6
Comment 1 Jan Safranek 2010-05-04 10:07:32 EDT
I think the reason is that on rhel5.5 "localhost" does not have IPv6 address - there is only "localhost6" in default /etc/hosts. The test runs local snmpd on "localhost", assuming it has both IPv6 and IPv4 address.

You can try to try "export SNMP_TEST_DEST=localhost6:" (mind the double colon at the end!), but IMHO trap tests will still fail because plain "localhost" is used in test configuration files and tests with traps will fail.

The safest way is to test if "localhost" has IPv6 address and add one into /etc/hosts if not:
    ::1   localhost6.localdomain6 localhost6 localhost

Or is wrong /etc/hosts a bug in RHEL5.5? On RHEL6, "localhost" has both IPv4 and IPv6...

Anyway, some tests still fail even with correct /etc/hosts - on my x86_64 it is test 45, 46 and 52 (udp6) - i.e. similar result as in bug #581873.

Please fix the test and post new rhts log from all arches, I'll try to fix them.
Comment 3 Jan Safranek 2010-05-11 08:29:38 EDT
The ia64 is problematic... the test suite heavily uses /bin/netstat, which is unusually slow on ia64 and test "35: testing snmptrapd traphandle" times out.

As workaround, you can try to pre-set SNMP ports on ia64:
export SNMP_SNMPD_PORT=12301
export SNMP_SNMPTRAPD_PORT=12302
export SNMP_AGENTX_PORT=12303

You can use any other port numbers, just make sure they are free.


I'll fix 'testing Proxy GET/SET support' and 'testing SNMPv2 vacm denial support' on net-snmp side.
Comment 4 RHEL Product and Program Management 2011-01-11 15:34:30 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2011-01-11 18:07:55 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 9 errata-xmlrpc 2011-07-21 05:11:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html
Comment 10 errata-xmlrpc 2011-07-21 08:22:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Note You need to log in before you can comment on or make changes to this bug.